import requests, sys
import json
requestURL = "https://www.ebi.ac.uk/proteins/api/proteins?offset=0&size=-1&organism=" + sys.argv[1]  + "&reviewed=true"

r = requests.get(requestURL, headers={ "Accept" : "application/json"})

if not r.ok:
  r.raise_for_status()
  sys.exit()

responseBody = r.text
jsonobj = json.loads(responseBody)
idsList = list()
filename = "IDlist"
file = open(filename, "w+")
for a in jsonobj:
#	idsList.append()
	file.write(a['accession'].encode('ascii','ignore') + "\n")
#print(idsList)
